<?php
/**
 * @file
 * popup window for isdn and anolog groups
 */
chdir("..");

include "./includes/variables.php";
include "./misc/database.php";
include("./misc/config_parameter.php");
$ba = new beroAri();
require_once ('./includes/lang.php');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 Transitional//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <link rel="icon" href="../includes/images/favicon.ico" type="image/x-icon">
            <script type="text/javascript" language="javascript" src="../includes/validation_modul.js"></script>
            <script type="text/javascript" language="javascript" src="../includes/js/jquery-1.5.1.js"></script>
            <link type="text/css" href="../includes/css/custom-theme/jquery-ui-1.8.10.custom.css" rel="Stylesheet" />
            <script type="text/javascript" src="../includes/js/jquery-ui-1.8.10.custom.min.js"></script>
            <script type="text/javascript">
                $(document).ready(function() {
                    $('input[name="group"]').focus();
                });

                function resize(){
                    if(window.sizeToContent) window.sizeToContent();
                }
                function closeW(){
                    this.window.close();
                }

                function ovelapdial_show(val){
                    if (val) {
                        document.getElementById("odt_empty_dad_tr").style.display="none";
                        document.getElementById("odt_tr").style.display="none";
                    }else{
                        document.getElementById("odt_tr").style.display="";
                        document.getElementById("odt_empty_dad_tr").style.display="";
                    }
                }

                function hidec(){
                    var configt=document.getElementById('configt');
                    configt.style.display="none";
                }
                function show_config(){
                    var configt=document.getElementById('configt');
                    if (configt.style.display=="none"){
                        configt.style.display="";
                    }else{
                        configt.style.display="none";
                    }
                }

            </script>
            <TITLE>ANALOG</TITLE>
            <link rel="stylesheet" href="../includes/template_css.css" type="text/css">
                <meta http-equiv="content-type" content="text/html; charset=UTF-8">
                    </head>
                    <body onload='hidec(); ovelapdial_show(document.getElementById("overlap_dialing").checked); resize();'>
                        <script type="text/javascript" src="../includes/notes/wz_tooltip.js"></script>
                        <center>
<?php
$redir_login = "/app/berogui/includes/login.php";

@session_start();
if (!isset($_SESSION['beroari_time']) || ((isset($_SESSION['beroari_time'])) && (($_SESSION['beroari_time'] + 1200) < time()))) {
    setcookie(session_name(), '', time() - 42000, "/");
    @session_unset();
    @session_destroy();
    echo "<script>window.opener.location='../index.php?m=sip'</script>";
    echo "<script>this.window.close();</script>";
} else {
    $_SESSION['beroari_time'] = time();
}


require_once "./includes/isgwtelnet.php";

function title0($ba, $gr) {
    $query = $ba->select("select distinct type from analog where lif='0' union select distinct type from gsm where lif='0' union select distinct type from isdn where lif='0'");
    if (sqlite_num_rows($query) == 0) {
        $title = "<b>Li0()</b>";
    } else {
        while ($entry = $ba->fetch_array($query)) {
            $title = "<b>Li0(" . $entry['type'] . ")</b>";
        }
    }
    return $title;
}

//Ports von Line interface 0
function ports0($ba, $gr) {
    $tab = "<table border='0'>";
    $query = $ba->select("select * from analog where lif='0' and port_type='" . $_GET['opt'] . "'");
    while ($entry = $ba->fetch_array($query)) {
        $type = split("-", $entry['type']);
        if ($entry['gr'] == $gr) {
            $tab .= "<tr><td>Port " . $entry['port'] . "<input type='checkbox' name='ports[]' checked value='" . $entry['port'] . "'></td></tr>";
        } elseif ($entry['gr'] == 'NULL') {
            $tab .= "<tr><td>Port " . $entry['port'] . "<input type='checkbox' name='ports[]' value='" . $entry['port'] . "'></td></tr>";
        } else {
            $tab .= "<tr><td>Port " . $entry['port'] . "<input type='checkbox' name='ports[]' checked disabled='true' value='" . $entry['port'] . "'></td></tr>";
        }
    }
    $tab .= "</table>";
    return $tab;
}

function title1($ba, $gr) {
    $query = $ba->select("select distinct type from analog where lif='1' union select distinct type from gsm where lif='1' union select distinct type from isdn where lif='1'");
    if (sqlite_num_rows($query) == 0) {
        $title = "<b>Li1()</b>";
    } else {
        while ($entry = $ba->fetch_array($query)) {
            $title = "<b>Li1(" . $entry['type'] . ")</b>";
        }
    }
    return $title;
}

//Ports von Line interface 1
function ports1($ba, $gr) {
    $tab = "<table border='0'>";
    $query = $ba->select("select * from analog where lif='1' and port_type='" . $_GET['opt'] . "'");
    while ($entry = $ba->fetch_array($query)) {
        $type = split("-", $entry['type']);
        if ($entry['gr'] == $gr) {
            $tab .= "<tr><td>Port " . $entry['port'] . "<input type='checkbox' name='ports[]' checked value='" . $entry['port'] . "'></td></tr>";
        } elseif ($entry['gr'] == 'NULL') {
            $tab .= "<tr><td>Port " . $entry['port'] . "<input type='checkbox' name='ports[]' value='" . $entry['port'] . "'></td></tr>";
        } else {
            $tab .= "<tr><td>Port " . $entry['port'] . "<input type='checkbox' name='ports[]' checked disabled='true' value='" . $entry['port'] . "'></td></tr>";
        }
    }
    $tab .= "</table>";
    return $tab;
}

function tones($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select tones from analog where gr='" . $gr . "'");
        $tones = "";
        while ($entry = $ba->fetch_array($query)) {
            $tones = $entry['tones'];
        }
        exec('/bin/cat /usr/conf/isgw.tones | /bin/grep "^\[.*\]$" ', $ausgabe);
        $ret = "<select name='tones'>";
        foreach ($ausgabe as $value) {
            if ($value == $tones) {
                $ret.="<option value='" . $value . "' selected>" . $value . "</option>";
            } elseif ($value != "[general]") {
                $ret.="<option value='" . $value . "'>" . $value . "</option>";
            }
        }
        $ret.="</select>";
        return $ret;
    } else {
        exec('/bin/cat /usr/conf/isgw.tones | /bin/grep "^\[.*\]$" ', $ausgabe);
        $ret = "<select name='tones'>";
        foreach ($ausgabe as $value) {
            if ($value == "[de]") {
                $ret.="<option value='" . $value . "' selected>" . $value . "</option>";
            } elseif ($value != "[general]") {
                $ret.="<option value='" . $value . "'>" . $value . "</option>";
            }
        }
        $ret.="</select>";
        return $ret;
    }
}

function chansel($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select chansel from analog where gr='" . $gr . "'");
        $ret = "<select name='chansel'>";
        while ($entry = $ba->fetch_array($query)) {
            ($entry['chansel'] == "standard") ? $ret.= "<option value='standard' selected>standard</option>" : $ret.= "<option value='standard'>standard</option>";
            ($entry['chansel'] == "random") ? $ret.= "<option value='random' selected>random</option>" : $ret.= "<option value='random'>random</option>";
            ($entry['chansel'] == "roundrobin") ? $ret.= "<option value='roundrobin' selected>roundrobin</option>" : $ret.= "<option value='roundrobin'>roundrobin</option>";
            $ret.="</select>";
            return $ret;
        }
    } else {
        return "<select name='chansel'>
			<option value='standard'>standard</option>
			<option value='random'>random</option>
			<option value='roundrobin'>roundrobin</option>
			</select>";
    }
}

function chansel_dir($ba, $gr) {
    $ret = "<select name='chansel_dir'>";
    if ($gr != "") {
        $query = $ba->select("select chansel_dir from analog where gr='" . $gr . "'");
        while ($entry = $ba->fetch_array($query)) {
            ($entry['chansel_dir'] == "ascending") ? $ret.="<option value='ascending' selected>ascending</option>" : $ret.="<option value='ascending'>ascending</option>";
            ($entry['chansel_dir'] == "descending") ? $ret.="<option value='descending' selected>descending</option>" : $ret.="<option value='descending'>descending</option>";
            $ret.="</select>";
            return $ret;
        }
    } else {
        return "<select name='chansel_dir'>
			<option value='ascending'>ascending</option>
			<option value='descending'>descending</option>
			</select>";
    }
}

function overlap_dial_timeout($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select overlap_dial_timeout from analog where gr='" . $gr . "'");
        $odt = "";
        while ($entry = $ba->fetch_array($query)) {
            $odt = $entry['overlap_dial_timeout'];
        }

        $ret = "<input name='overlap_dial_timeout' id='overlap_dial_timeout' value='" . $odt . "'>";
        return $ret;
    } else {
        $ret = "<input name='overlap_dial_timeout' id='overlap_dial_timeout' value='3'>";
        return $ret;
    }
}

function clip($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select clip from analog where gr='" . $gr . "'");
        $clip = "";
        while ($entry = $ba->fetch_array($query)) {
            $clip = $entry['clip'];
        }

        $ret = "<input name='clip' id='clip' value='" . $clip . "' maxlength='128'>";
        return $ret;
    } else {
        $ret = "<input name='clip' id='clip' maxlength='128'>";
        return $ret;
    }
}

function cnip($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select cnip from analog where gr='" . $gr . "'");
        $cnip = "";
        while ($entry = $ba->fetch_array($query)) {
            $cnip = $entry['cnip'];
        }

        $ret = "<input name='cnip' id='cnip' value='" . $cnip . "' maxlength='128'>";
        return $ret;
    } else {
        $ret = "<input name='cnip' id='cnip' maxlength='128'>";
        return $ret;
    }
}

function overlap_dial_timeout_empty_dad($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select overlap_dial_timeout_empty_dad from analog where gr='" . $gr . "'");
        $odt_empty_dad = "";
        while ($entry = $ba->fetch_array($query)) {
            $odt_empty_dad = $entry['overlap_dial_timeout_empty_dad'];
        }

        $ret = "<input name='overlap_dial_timeout_empty_dad' id='overlap_dial_timeout_empty_dad' value='" . $odt_empty_dad . "'>";
        return $ret;
    } else {
        $ret = "<input name='overlap_dial_timeout_empty_dad' id='overlap_dial_timeout_empty_dad' value='15'>";
        return $ret;
    }
}

function fxo_wait_for_oad($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select fxo_wait_for_oad from analog where gr='" . $gr . "'");
        while ($entry = $ba->fetch_array($query)) {
            if ($entry['fxo_wait_for_oad'] == "wait")
                return "<select name='fxo_wait_for_oad'>
			<option value='wait' selected>wait</option>
			<option value='dontwait'>dontwait</option>
			</select>";
            if ($entry['fxo_wait_for_oad'] == "dontwait")
                return "<select name='fxo_wait_for_oad'>
			<option value='wait'>wait</option>
			<option value='dontwait' selected>dontwait</option>
			</select>";

            return "<select name='fxo_wait_for_oad'>
			<option value='wait'>wait</option>
			<option value='dontwait'>dontwait</option>
			</select>";
        }
    }else {
        return "<select name='fxo_wait_for_oad'>
			<option value='wait'>wait</option>
			<option value='dontwait'>dontwait</option>
			</select>";
    }
}

function fxo_cid_detection_mode($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select distinct fxo_cid_detection_mode from analog where gr='" . $gr . "'");
        $sel.="<select name='fxo_cid_detection_mode'>";
        while ($entry = $ba->fetch_array($query)) {
            ($entry['fxo_cid_detection_mode'] == "Bellcore") ? $sel.= "<option value='Bellcore' selected>Bellcore</option>" : $sel.= "<option value='Bellcore'>Bellcore</option>";
            ($entry['fxo_cid_detection_mode'] == "ETSI-DTMF") ? $sel.= "<option value='ETSI-DTMF' selected>ETSI-DTMF</option>" : $sel.= "<option value='ETSI-DTMF'>ETSI-DTMF</option>";
            ($entry['fxo_cid_detection_mode'] == "ETSI-DTMF-AR") ? $sel.= "<option value='ETSI-DTMF-AR' selected>ETSI-DTMF-AFTER-RINGING</option>" : $sel.= "<option value='ETSI-DTMF-AR'>ETSI-DTMF-AFTER-RINGING</option>";
        }
        $sel.="</select>";
        return $sel;
    } else {
        return "<select name='fxo_cid_detection_mode'>
		<option value='Bellcore'>Bellcore</option>
		<option value='ETSI-DTMF'>ETSI-DTMF</option><option value='ETSI-DTMF-AR'>ETSI-DTMF-AFTER-RINGING</option>
		</select>";
    }
}

function fxo_connect($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select fxo_connect from analog where gr='" . $gr . "'");
        while ($entry = $ba->fetch_array($query)) {
            if ($entry['fxo_connect'] == "instant")
                return "<select name='fxo_connect'>
			<option value='instant' selected>instant</option>
			<option value='polarity'>polarity</option>
			</select>";
            if ($entry['fxo_connect'] == "polarity")
                return "<select name='fxo_connect'>
			<option value='instant'>instant</option>
			<option value='polarity' selected>polarity</option>
			</select>";

            return "<select name='fxo_connect'>
			<option value='instant'>instant</option>
			<option value='polarity'>polarity</option>
			</select>";
        }
    }else {
        return "<select name='fxo_connect'>
			<option value='instant'>instant</option>
			<option value='polarity'>polarity</option>
			</select>";
    }
}

function fxo_dialtone_passthrough($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select fxo_dialtone_passthrough from analog where gr='" . $gr . "'");
        $dialtone_passthrough = "";
        while ($entry = $ba->fetch_array($query)) {
            $dialtone_passthrough = $entry['fxo_dialtone_passthrough'];
        }
        if ($dialtone_passthrough == '1')
            $ret = "<input type='checkbox' name='fxo_dialtone_passthrough' value='1' checked>";
        else
            $ret = "<input type='checkbox' name='fxo_dialtone_passthrough' value='1'>";
        return $ret;
    }else {
        $ret = "<input type='checkbox' name='fxo_dialtone_passthrough' value='1'>";
        return $ret;
    }
}

function fxo_call_ending_signal($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select fxo_call_ending_signal from analog where gr='" . $gr . "'");
        while ($entry = $ba->fetch_array($query)) {
            $ret = "<fieldset>";
            $res = explode(",", $entry['fxo_call_ending_signal']);
            if (in_array("unobtainable", $res))
                $ret.=PSTN_UNOBTAINABLE_TONE_DIS . "<input type='checkbox' value='unobtainable' name='fxo_call_ending_signal[]' checked><br>";
            else
                $ret.=PSTN_UNOBTAINABLE_TONE_DIS . "<input type='checkbox' value='unobtainable' name='fxo_call_ending_signal[]'><br>";
            if (in_array("busy", $res))
                $ret.=PSTN_BUSY_TONE_DIS . "<span style='margin-left:47px;'><input type='checkbox' value='busy' name='fxo_call_ending_signal[]' checked></span>";
            else
                $ret.=PSTN_BUSY_TONE_DIS . "<span style='margin-left:47px;'><input type='checkbox' value='busy' name='fxo_call_ending_signal[]'></span>";
            $ret.="</fieldset>";
        }
        return $ret;
    }else {
        return "<fieldset>" . PSTN_UNOBTAINABLE_TONE_DIS . "<input type='checkbox' value='unobtainable' name='fxo_call_ending_signal[]' checked><br>" . PSTN_BUSY_TONE_DIS .
                "<span style='margin-left:47px;'><input type='checkbox' value='busy' name='fxo_call_ending_signal[]'></span></fieldset>";
    }
}

function overlap_dialing($ba, $gr) {
    if ($gr != "") {
        $query = $ba->select("select overlap_dialing from analog where gr='" . $gr . "'");
        $overlap_dialing = "";
        while ($entry = $ba->fetch_array($query)) {
            $overlap_dialing = $entry['overlap_dialing'];
        }
        if ($overlap_dialing == '1')
            $ret = "<input type='checkbox' name='overlap_dialing' id='overlap_dialing' onchange='ovelapdial_show(this.checked)' value='1' checked>";
        else
            $ret = "<input type='checkbox' name='overlap_dialing' id='overlap_dialing' onchange='ovelapdial_show(this.checked)' value='1'>";
        return $ret;
    }else {
        $ret = "<input type='checkbox' name='overlap_dialing' id='overlap_dialing' onchange='ovelapdial_show(this.checked)' value='1'>";
        return $ret;
    }
}

function showdefmc($config_values) {
    $isgw = new isgwtelnet();
    $result = $isgw->isgw_login();
    if ($result != false) {
        $dialplanc = $isgw->isgw_dialplanconfig();
        $zeilen = split("\n", $dialplanc);
        foreach ($zeilen as $zeile) {
            if (stripos($zeile, '[') === 0) {
                preg_match("/\[(?<bez>.+)\]\[(?<name>.+)\][\s]*(?<desc>.+)[\s]*\<(?<val>.*)\>[\s]*'(?<def>.*)'/", $zeile, $res);
                if (!in_array($res['name'], $config_values) && ($res['bez'] == "a" || $res['bez'] == "p"))
                    echo "<script>
                            var extra_tooltip=document.getElementById('extra_tooltip');
                            extra_tooltip.innerHTML=extra_tooltip.innerHTML+'<p>" . DIALPLAN_OPTION_DIS . "<b>&nbsp;" . $res['name'] . "</b><br>" . DIALPLAN_VALUES_DIS . "<b>&nbsp;&lt;" . $res['val'] . "&gt;</b><br><i>" . $res['desc'] . "</i></p>';
			</script>";
            }
        }
        $ba = new beroAri();
        $query = $ba->select("select config from analog where gr='" . $_GET['gr'] . "' group by gr");
        while ($entry = $ba->fetch_array($query)) {
            $config = $entry['config'];
        }
        if ($config != "") {
            $configs = split(',', $config);
            foreach ($configs as $value) {
                $key=explode('=',$value,2);
                if ($key[0] != "" && $key[1] != "" && !in_array($key[0], $config_values)) {
                    echo "<script>var addit_options=document.getElementById('addit_options');
                            	if (addit_options.innerHTML=='')
                                    addit_options.innerHTML='" . $key[0] . "=" . $key[1] . "';
				else
                                    addit_options.innerHTML=addit_options.innerHTML+'\\n" . $key[0] . "=" . $key[1] . "';</script>";
                } elseif ($key[0] != "" && $key[1] == "" && !in_array($key[0], $config_values)) {
                    echo "<script>var addit_options=document.getElementById('addit_options');
                                    if (addit_options.innerHTML=='')
                                        addit_options.innerHTML='" . $key[0] . "=';
                                    else
                                        addit_options.innerHTML=addit_options.innerHTML+'\\n" . $key[0] . "=';</script>";
                }
            }
        }
    }
}

function show_confadd($config_values) {
    $isgw = new isgwtelnet();
    $result = $isgw->isgw_login();
    if ($result != false) {

        $dialplanc = $isgw->isgw_dialplanconfig();
        $zeilen = split("\n", $dialplanc);
        foreach ($zeilen as $zeile) {
            if (stripos($zeile, '[') === 0) {
                preg_match("/\[(?<bez>.+)\]\[(?<name>.+)\][\s]*(?<desc>.+)[\s]*\<(?<val>.*)\>[\s]*'(?<def>.*)'/", $zeile, $res);
                if (!in_array($res['name'], $config_values) && ($res['bez'] == "a" || $res['bez'] == "p"))
                    echo "<script>
				var extra_tooltip=document.getElementById('extra_tooltip');
				extra_tooltip.innerHTML=extra_tooltip.innerHTML+'<p>" . DIALPLAN_OPTION_DIS . "<b>&nbsp;" . $res['name'] . "</b><br>" . DIALPLAN_VALUES_DIS . "<b>&nbsp;&lt;" . $res['val'] . "&gt;</b><br><i>" . $res['desc'] . "</i></p>';
				var addit_options=document.getElementById('addit_options');
				if (addit_options.innerHTML=='')
                                    addit_options.innerHTML='" . $res['name'] . "=" . $res['def'] . "';
				else
                                    addit_options.innerHTML=addit_options.innerHTML+'\\n" . $res['name'] . "=" . $res['def'] . "';
			</script>";
            }
        }
    }
}

$config_values = array("from_pstn_src_setting", "analog_display_setting", "analog_oad_setting", "clir_on_oad", "ec", "ectl",);

//echo "<script>window.opener.location='../index.php?m=isdn'</script>";
print "<br><table align=\"center\" bgcolor=\"#f0f0ec\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"690\">
<colgroup>
<col width=\"39\"/>
</colgroup>
<tbody><tr>
<td background=\"../includes/images/bg_top.png\" style=\"background-repeat:no-repeat\" colspan=\"2\">
<img width=\"10\" height=\"37\" border=\"0\" src=\"../includes/images/trans.gif\">
</td>
</tr>
<tr>
<td background=\"../includes/images/bg_left.png\" style='background-repeat:repeat-y;' width=\"30\"><img src=\"../includes/images/trans.gif\" height=\"10\" width=\"39\"></td>
<td><p align='left'><img src=\"../includes/images/berofixlogo.png\"/><hr size= \"1\" noshade></p><center><p><font size='3'>PSTN</font></p><br><br>";

($_GET['opt'] == "FXO") ? $fxo_check = " && is_not_empty(clip.value,'clip')" : $fxo_check = "";
echo ("<form class='extensions_form' name='isdn' action='analog_submit.php?opt=" . $_GET['opt'] . "' method='POST' onsubmit=\"return (check_blank(group.value,'group name') && is_not_empty(group.value,'group name') && specChar(group.value,'Group name') " . $fxo_check . ");\">
			<table border='1' style='border-collapse:collapse' width='290'>
			<tr>
			<td colspan='2'>
			<table border=0 align='center'>
			<tr>
			<td><b>" . PSTN_NAME_DIS . ":</b>&nbsp;</td>
			<td>&nbsp;<input type='text' name='group' value='" . $_GET['gr'] . "' onmouseover=\"Tip('" . ANALOG_GROUP_NAME . "');\" onmouseout='UnTip();'></td>
			</tr>
			<tr>
			<td valign='top' style='padding-top:5px;'><b>" . PSTN_PORTS_DIS . ":</b>&nbsp;</td>
			<td>
			<table>
			<tr>
			<td valign='top' colspan='2'>
			<table border='1' style='border-collapse:collapse;' width='100%' onmouseover=\"Tip('" . ANALOG_PORTS_TABLE . "');\" onmouseout='UnTip();'>
			<tr>
			<td width='65'>" . title0($ba, $_GET['gr']) . "</td>
			<td width='65'>" . title1($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td valign='top'>" . ports0($ba, $_GET['gr']) . "</td>
			<td valign='top'>" . ports1($ba, $_GET['gr']) . "</td>
			</tr>
			</table>
			</td>
			</tr>
			</table>

			</td>
			</tr>
			<tr id='odt_empty_dad_tr'>
			<td><b>" . PSTN_OVERLAPDIAL_TIMEOUT_EMPTY_DAD_DIS . ":</b></td><td>" . overlap_dial_timeout_empty_dad($ba, $_GET['gr']) . "</td>
			</tr>
			<tr id='odt_tr'>
			<td><b>" . PSTN_ODT_DIS . ":</b></td>
			<td>" . overlap_dial_timeout($ba, $_GET['gr']) . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ISDN_OVERLAPDIALING . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_OVERLAP_DIALING_DIS . ":</b></td>
			<td>" . overlap_dialing($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_TONES_DIS . ":</b></td>
			<td>" . tones($ba, $_GET['gr']) . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ANALOG_CLIP . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_CLIP_DIS . ":</b></td>
			<td>" . clip($ba, $_GET['gr']) . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . ANALOG_CNIP . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_CNIP_DIS . ":</b></td>
			<td>" . cnip($ba, $_GET['gr']) . "</td>
			</tr>
			<tr onmouseover=\"Tip('" . PSTN_CHANSEL . "');\" onmouseout='UnTip();'>
			<td><b>" . PSTN_CHANSEL_DIS . ":</b></td><td>" . chansel($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_CHANSEL_DIR_DIS . ":</b></td><td>" . chansel_dir($ba, $_GET['gr']) . "</td>
			</tr>");
if ($_GET['opt'] == "FXO") {
    echo "<tr>
			<td><b>" . PSTN_CONNECT_DIS . ":</b></td>
			<td>" . fxo_connect($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_WAIT_FOR_OAD_DIS . ":</b></td>
			<td>" . fxo_wait_for_oad($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_DIALTONE_PASSTHROUGH_DIS . ":</b></td>
			<td>" . fxo_dialtone_passthrough($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_ANALOG_CALL_ENDING_SIGNAL_DIS . ":</b></td>
			<td>" . fxo_call_ending_signal($ba, $_GET['gr']) . "</td>
			</tr>
			<tr>
			<td><b>" . PSTN_ANALOG_CID_DETECTION_MODE_DIS . ":</b></td>
			<td>" . fxo_cid_detection_mode($ba, $_GET['gr']) . "</td>
			</tr>";
}
echo ("<tr>
			<td align='center' colspan='2'><a href='#' onclick='show_config();'>" . PSTN_MORE_DIS . "...</a></td>
			</tr>

			</table>
			</td>
			</tr>
			</table>
			<br/>
			<table border='1' id='configt' width='400' style='border-collapse:collapse'>
			<tr><td>
			<table class='contentoc'><tr><td colspan='2' align='center'><b>" . DIALPLAN_CONFIGURATION_DIS . "</b></td></tr>
					<tr onmouseover=\"Tip('" . EC . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_EC_DIS . "</b></td>
		    			<td>" . ec('analog') . "</td>
					</tr>
				<tr onmouseover=\"Tip('" . EC_TAIL . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_EC_TAIL_LENGTH_DIS . "</b></td>
						<td>" . ec_tail('analog') . "</td>
					</tr>
				<tr id='clir_on_oad_tr'>
						<td><b>" . DIALPLAN_CLIR_ON_CLIP_DIS . "</b></td>
		    			<td>" . clir_on_oad('analog') . "</td>
					</tr>");
if ($_GET['opt'] != "FXS")
    echo "<tr onmouseover=\"Tip('" . FROM_PSTN_SRC_SETTING . "')\" onmouseout='UnTip()' id='pstn_src_setting_tr'>
					<td><b>" . DIALPLAN_FROM_PSTN_SRC_SETTING_DIS . "</b></td>
					<td>" . from_pstn_src_setting('analog') . "</td>
				</tr>";
echo ("<tr>
					<td colspan='2'>&nbsp;</td>
				</tr>");
if ($_GET['opt'] != "FXO")
    echo "<tr>
					<th colspan='2'>" . DIALPLAN_CALLER_ID_MAPPING_DIS . "</th>
				</tr>
				<tr id='analog_oad_setting_tr'>
					<td><b>" . DIALPLAN_ANALOG_CLIP_SETTING_DIS . "</b></td>
					<td>" . caller_id_mapping_pstn('analog_oad_setting', 'analog') . "</td>
				</tr>
				<tr id='analog_display_setting_tr'>
					<td><b>" . DIALPLAN_ANALOG_CNIP_SETTING_DIS . "</b></td>
					<td>" . caller_id_mapping_pstn('analog_display_setting', 'analog') . "</td>
				</tr>";
echo ("<tr>
					<td colspan='2'>&nbsp;</td>
				</tr>
				<tr onmouseover=\"Tip('" . ADDIT_OPTIONS . "')\" onmouseout='UnTip()'>
						<td colspan='2'><b>" . DIALPLAN_ADDITIONAL_CONFIG_DIS . "</b></td>
					</tr>
					<tr onmouseover=\"Tip('" . ADDIT_OPTIONS . "')\" onmouseout='UnTip()'>
						<td colspan='2'><textarea name='addit_options' id='addit_options' rows='4' style='width:305px;'></textarea></td>
					</tr>
					<tr>
						<td colspan='2'>
						<br>
						<b>" . DIALPLAN_ADDITIONAL_CONFIG_DOC_DIS . "</b>
						</td>
					</tr>
					<tr>
						<td colspan='2'>
						<p id='extra_tooltip' style='height: 150px; width:305px; overflow: auto; border: 1px solid #A31D26; background: none repeat scroll 0% 0% rgb(238, 238, 238); color: rgb(0, 0, 0);'>
						</td>
					</tr>
			</table>
			</td>
			</tr>
			</table>");
if (isset($_GET['gr'])) {
    showdefmc($config_values);
} else {
    show_confadd($config_values);
}
echo ("<br/>
			<input type='hidden' name='gr_upd' value='" . $_GET['gr'] . "'>
			<input name='submit' type='submit' value='" . BUTTON_SAVE . "' onmouseover=\"Tip('" . ANALOG_SAVE . "');\" onmouseout='UnTip();'>
			 &nbsp;&nbsp;<input name='close' type='button' value='" . BUTTON_CLOSE . "' onclick='javascript:closeW();' onmouseover=\"Tip('" . POPUPS_BUTTON_CLOSE . "');\" onmouseout='UnTip();'>
			</form>");



print "<hr size= \"1\" noshade>";
print "<br><a href=\"http://www.beronet.com\" target=\"_blank\" onfocus=\"if (this.blur()) { this.blur(); }\"><img src=\"../includes/images/beroLogo.gif\" align=\"right\" border=\"0\"></a>";
print "</center></td></tr>
<tr>
<td colspan=\"2\" style=\"background-repeat:no-repeat\" background=\"../includes/images/bg_bottom.png\"><img src=\"../includes/images/trans.gif\" border=\"0\" height=\"39\" width=\"10\"><div style=\"color: white;\" align=\"right\">&nbsp;&nbsp;&nbsp;</div>
</td></tr></table>";
?>
                        </center>
                    </body>
</html>

